# Uses of Class
org.jastronomy.jsofa.JSOFA.Ldbody

## Uses of JSOFA.Ldbody in org.jastronomy.jsofa

Methods in org.jastronomy.jsofa with parameters of type JSOFA.Ldbody
Modifier and Type
Method
Description
`static JSOFA.SphericalCoordinate`
JSOFA.`jauAtciqn(double rc, double dc, double pr, double pd, double px, double rv, JSOFA.Astrom astrom, int n, JSOFA.Ldbody[] b)`
Quick ICRS, epoch J2000.0, to CIRS transformation, given precomputed star-independent astrometry parameters plus a list of light- deflecting bodies.
`static JSOFA.SphericalCoordinate`
JSOFA.`jauAticqn(double ri, double di, JSOFA.Astrom astrom, int n, JSOFA.Ldbody[] b)`
Quick CIRS to ICRS astrometric place transformation, given the star- independent astrometry parameters plus a list of light-deflecting bodies.
`static double[]`
JSOFA.`jauLdn(int n, JSOFA.Ldbody[] b, double[] ob, double[] sc)`